Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000928Piwigoconfigurationpublic2009.02.25 23:252010.04.14 17:34
Reporterplg 
Assigned Tonikrou 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target Version2.1.0Fixed in Version 
Summary0000928: merge mysql.inc.php into config_local.inc.php
DescriptionInstead of keeping 2 separate files to manage database settings and other settings, we should have a single file with all local settings.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
has duplicate 0000545closed module mysql.inc.php will be discontinued 

-  Notes
(0002783)
grum (administrator)
2009.07.31 00:38

Please read note:2782 on the issue:545
(0002804)
mathiasm (manager)
2009.08.08 18:48

about note:2782 > Since mysql config is mandatory, we can check for those $conf when writing the file and warn the user if those parameters are not found, thus reverting the changes and not saving the updates
(0003057)
svn (reporter)
2009.11.16 20:17

[Subversion] r4280 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 928 resolved.
Replace include/mysql.inc.php by include/config_database.inc.php to be independant of database engine
Rename database configurations variables by ones in $conf array.
(0003058)
nikrou (developer)
2009.11.16 20:17

[Subversion] r4280
(0003114)
rub (developer)
2009.11.23 11:11
edited on: 2009.11.23 12:04

[Subversion] r4280

I don't understand your way about $conf['users_table'] and define 'USERS_TABLE'.

If I have a config_local.inc.php, it's necessary to do again a "define('USERS_TABLE', $prefixeTable.'users');" ?

=> that invoked problem for all gallery in production

Normaly only a new value of $conf value is necessary.

There are a thread about that on the forum?

(0003116)
nikrou (developer)
2009.11.23 12:18

> There are a thread about that on the forum?

We can use that one :
http://piwigo.org/forum/viewtopic.php?id=15500 [^]
(0003123)
svn (reporter)
2009.11.24 11:19

[Subversion] r4357 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 928 :
partial revert of [Subversion] r4280 for external authentification.

- Issue History
Date Modified Username Field Change
2009.02.25 23:25 plg New Issue
2009.02.25 23:25 plg Status new => assigned
2009.02.25 23:25 plg Assigned To => plg
2009.02.25 23:25 plg browser => any
2009.02.25 23:25 plg Web server => Apache 1.3.x
2009.05.19 11:49 VDigital Relationship added has duplicate 0000545
2009.07.31 00:38 grum Note Added: 0002783
2009.08.08 18:48 mathiasm Note Added: 0002804
2009.11.15 13:55 nikrou Assigned To plg => nikrou
2009.11.16 20:17 svn Checkin
2009.11.16 20:17 svn Note Added: 0003057
2009.11.16 20:17 nikrou Note Added: 0003058
2009.11.16 20:17 nikrou Status assigned => resolved
2009.11.16 20:17 nikrou Resolution open => fixed
2009.11.23 11:11 rub Note Added: 0003114
2009.11.23 11:11 rub Status resolved => feedback
2009.11.23 11:11 rub Resolution fixed => reopened
2009.11.23 12:04 rub Note Edited: 0003114
2009.11.23 12:18 nikrou Note Added: 0003116
2009.11.24 11:19 svn Checkin
2009.11.24 11:19 svn Note Added: 0003123
2009.11.24 13:35 nikrou Status feedback => resolved
2009.11.24 13:35 nikrou Resolution reopened => fixed
2010.04.14 17:34 plg Status resolved => closed
2010.04.14 17:34 plg Resolution fixed => won't fix


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker